gov.ornl.mercury3.services

## Class SourceObject

- java.lang.Object
- - gov.ornl.mercury3.services.SourceObject

-     public class SourceObject
      extends Object

  Holder for datasource info parsed from request.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceObject()`
    `SourceObject(ArrayList<String> t6, ArrayList<String> t10, ArrayList<String> t11, String ds_all, String ds_lter, String ds_ilter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDs_all()`
    `String` | `getDs_ilter()`
    `String` | `getDs_lter()`
    `String` | `getFacet_ds()`
    `ArrayList<String>` | `getT10()`
    `ArrayList<String>` | `getT11()`
    `ArrayList<String>` | `getT6()`
    `void` | `init()`
    `void` | `setDs_all(String ds_all)`
    `void` | `setDs_ilter(String ds_ilter)`
    `void` | `setDs_lter(String ds_lter)`
    `void` | `setFacet_ds(String facet_ds)`
    `void` | `setT10(ArrayList<String> t10)`
    `void` | `setT11(ArrayList<String> t11)`
    `void` | `setT6(ArrayList<String> t6)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceObject

          public SourceObject()

    - #### SourceObject

          public SourceObject(ArrayList<String> t6,
                      ArrayList<String> t10,
                      ArrayList<String> t11,
                      String ds_all,
                      String ds_lter,
                      String ds_ilter)

  - ### Method Detail

    - #### init

          public void init()

    - #### getT6

          public ArrayList<String> getT6()

    - #### setT6

          public void setT6(ArrayList<String> t6)

    - #### getT10

          public ArrayList<String> getT10()

    - #### setT10

          public void setT10(ArrayList<String> t10)

    - #### getT11

          public ArrayList<String> getT11()

    - #### setT11

          public void setT11(ArrayList<String> t11)

    - #### getDs_all

          public String getDs_all()

    - #### setDs_all

          public void setDs_all(String ds_all)

    - #### getDs_lter

          public String getDs_lter()

    - #### setDs_lter

          public void setDs_lter(String ds_lter)

    - #### getDs_ilter

          public String getDs_ilter()

    - #### setDs_ilter

          public void setDs_ilter(String ds_ilter)

    - #### getFacet_ds

          public String getFacet_ds()

    - #### setFacet_ds

          public void setFacet_ds(String facet_ds)

Copyright © 2016. All rights reserved.